#include <afblib/inbuf.h>
#include <afblib/outbuf.h>
#include <stdbool.h>

struct mxpservice {
   int fd;
   inbuf ibuf;
   outbuf obuf;
};

struct semastatus {
   enum {FREE, LOCKED} state;
   char* holder;
};

void mxp_init(struct mxpservice* mxp, int fd);
bool mxp_login(struct mxpservice* mxp, char* login);
bool mxp_stat(struct mxpservice* mxp, char* sema, struct semastatus* status);
bool mxp_lock(struct mxpservice* mxp, char* sema);
bool mxp_release(struct mxpservice* mxp, char* sema);
void mxp_hangup(struct mxpservice* mxp);
