#ifndef MXP_REQUEST_H
#define MXP_REQUEST_H

#include <stralloc.h>
#include <afblib/mpx_session.h>
#include <afblib/outbuf.h>

typedef struct mxp_request {
   stralloc keyword;
   stralloc parameter;
} mxp_request;

/* read one request from the given session handle */
int read_mxp_request(session* s, mxp_request* request);

/* write one request to the given outbuf buffer */
int write_mxp_request(outbuf* obuf, mxp_request* request);

/* release resources associated with request */
void free_mxp_request(mxp_request* request);

#endif
